from distutils.core import setup, Extension

nistp224_module = Extension('nistp224',
                            sources=['src/py-nistp224.c'],
                            include_dirs=['/package/math/nistp224/include'],
                            extra_objects=['/package/math/nistp224/library/nistp224.a'])

setup(name='py-nistp224', version='1.0',
      description='Python interface to the nistp224 library',
      author='Faried Nawaz',
      author_email='fn@hungry.org',
      url='http://web.nilpotent.org/software/python/',
      long_description= '''
See http://cr.yp.to/nistp224.html for information on nistp224.
      ''',
      ext_modules=[nistp224_module],
      py_modules = ['test/testnistp224'])
